---------------------
PatchSet 2887 
Date: 2001/08/27 21:48:15
Author: tolsty
Branch: nt-2_3-tolsty
Tag: (none) 
Log:
Reworked error handling. More Unix sources compatibility

Members: 
	CONTRIBUTORS:1.1.1.3.22.1->1.1.1.3.22.1.2.1 
	ChangeLog:1.1.1.3.4.4.2.1->1.1.1.3.4.4.2.1.2.1 
	acconfig.h:1.1.1.3.12.1->1.1.1.3.12.1.2.1 
	configure.in:1.1.1.3.4.5.2.2->1.1.1.3.4.5.2.2.2.1 
	makefile.in:1.1.1.3->1.1.1.3.18.1 
	auth_modules/LDAP/LDAP_auth.dsp:1.1.2.2->1.1.2.2.2.1 
	auth_modules/LDAP/LDAP_auth.mak:1.1.2.2->1.1.2.2.2.1 
	auth_modules/LDAP/LDAP_auth.rc:1.1.2.1->1.1.2.1.2.1 
	auth_modules/LDAP/squid_ldap_auth.c:1.1.1.1.56.1->1.1.1.1.56.1.2.1 
	auth_modules/MSNT/denyusers.c:1.1.16.1->1.1.16.1.6.1 
	auth_modules/MSNT/md4.c:1.1.1.1->1.1.1.1.62.1 
	auth_modules/MSNT/rfcnb-common.h:1.1.1.1->1.1.1.1.30.1 
	auth_modules/MSNT/rfcnb-error.h:1.1.1.1->1.1.1.1.30.1 
	auth_modules/MSNT/rfcnb-io.c:1.1.1.1->1.1.1.1.30.1 
	auth_modules/MSNT/rfcnb-io.h:1.1.1.1->1.1.1.1.62.1 
	auth_modules/MSNT/rfcnb-priv.h:1.1.1.1->1.1.1.1.30.1 
	auth_modules/MSNT/rfcnb-util.c:1.1.1.1->1.1.1.1.30.1 
	auth_modules/MSNT/rfcnb-util.h:1.1.1.1->1.1.1.1.30.1 
	auth_modules/MSNT/rfcnb.h:1.1.1.1->1.1.1.1.62.1 
	auth_modules/MSNT/session.c:1.1.1.1->1.1.1.1.30.1 
	auth_modules/MSNT/smbauth.c:1.1.1.1.4.2->1.1.1.1.4.2.6.1 
	auth_modules/MSNT/smbdes.c:1.1.1.1->1.1.1.1.62.1 
	auth_modules/MSNT/smbencrypt.c:1.1.1.1->1.1.1.1.30.1 
	auth_modules/MSNT/smblib-common.h:1.1.1.1->1.1.1.1.30.1 
	auth_modules/MSNT/smblib-priv.h:1.1.1.1->1.1.1.1.30.1 
	auth_modules/MSNT/smblib-util.c:1.1.1.1->1.1.1.1.30.1 
	auth_modules/MSNT/smblib.c:1.1.1.1->1.1.1.1.30.1 
	auth_modules/MSNT/smblib.h:1.1.1.1->1.1.1.1.30.1 
	auth_modules/MSNT/std-defines.h:1.1.1.1->1.1.1.1.30.1 
	auth_modules/MSNT/std-includes.h:1.1.1.1->1.1.1.1.30.1 
	auth_modules/MSNT/valid.c:1.1.1.1->1.1.1.1.30.1 
	auth_modules/MSNT/valid.h:1.1.1.1->1.1.1.1.62.1 
	auth_modules/NCSA/Makefile.in:1.1.1.1.44.1->1.1.1.1.44.1.2.1 
	auth_modules/NCSA/NCSA_auth.dsp:1.1.2.2->1.1.2.2.2.1 
	auth_modules/NCSA/NCSA_auth.mak:1.1.2.2->1.1.2.2.2.1 
	auth_modules/NCSA/NCSA_auth.rc:1.1.2.1->1.1.2.1.2.1 
	auth_modules/NCSA/ncsa_auth.c:1.1.1.1.66.1->1.1.1.1.66.1.2.1 
	auth_modules/NT/NT_auth.c:1.1.2.2->1.1.2.2.2.1 
	auth_modules/NT/NT_auth.dsp:1.1.2.2->1.1.2.2.2.1 
	auth_modules/NT/NT_auth.mak:1.1.2.2->1.1.2.2.2.1 
	auth_modules/NT/NT_auth.rc:1.1.2.1->1.1.2.1.2.1 
	auth_modules/NT/valid.c:1.1.2.2->1.1.2.2.2.1 
	auth_modules/NT/valid.h:1.1.2.1->1.1.2.1.2.1 
	auth_modules/PAM/Makefile.in:1.1.1.1.22.1->1.1.1.1.22.1.2.1 
	auth_modules/PAM/pam_auth.c:1.1.1.1.18.1->1.1.1.1.18.1.2.1 
	auth_modules/SMB/Makefile.in:1.1.1.1.20.1->1.1.1.1.20.1.2.1 
	auth_modules/SMB/smb_auth.c:1.1.1.2->1.1.1.2.28.1 
	auth_modules/getpwnam/Makefile.in:1.1.1.2.30.1->1.1.1.2.30.1.2.1 
	auth_modules/getpwnam/getpwnam_auth.c:1.1.1.1->1.1.1.1.72.1 
	contrib/rredir.c:1.1.1.1.44.1->1.1.1.1.44.1.2.1 
	contrib/chpasswd/Dutch.h:1.1.2.1->1.1.2.1.2.1 
	contrib/chpasswd/English.h:1.1.2.1->1.1.2.1.2.1 
	contrib/chpasswd/French.h:1.1.2.1->1.1.2.1.2.1 
	contrib/chpasswd/German.h:1.1.2.1->1.1.2.1.2.1 
	contrib/chpasswd/Hungarian.h:1.1.2.1->1.1.2.1.2.1 
	contrib/chpasswd/Italian.h:1.1.2.1->1.1.2.1.2.1 
	contrib/chpasswd/Portuguese.h:1.1.2.1->1.1.2.1.2.1 
	contrib/chpasswd/Russian.h:1.1.2.1->1.1.2.1.2.1 
	contrib/chpasswd/Spanish.h:1.1.2.1->1.1.2.1.2.1 
	contrib/chpasswd/chpasswd.c:1.1.2.1->1.1.2.1.2.1 
	contrib/chpasswd/chpasswd.dsp:1.1.2.3->1.1.2.3.2.1 
	contrib/chpasswd/chpasswd.mak:1.1.2.3->1.1.2.3.2.1 
	contrib/chpasswd/chpasswd.rc:1.1.2.1->1.1.2.1.2.1 
	contrib/chpasswd/conf.h:1.1.2.1->1.1.2.1.2.1 
	contrib/chpasswd/language.h:1.1.2.1->1.1.2.1.2.1 
	contrib/htpasswd/htpasswd.c:1.1.2.1->1.1.2.1.2.1 
	contrib/htpasswd/htpasswd.dsp:1.1.2.3->1.1.2.3.2.1 
	contrib/htpasswd/htpasswd.mak:1.1.2.3->1.1.2.3.2.1 
	contrib/htpasswd/htpasswd.rc:1.1.2.1->1.1.2.1.2.1 
	doc/Release-Notes-1.0.txt:1.1.1.1.44.1->1.1.1.1.44.1.2.1 
	doc/Release-Notes-1.1.txt:1.1.1.1.44.1->1.1.1.1.44.1.2.1 
	doc/Programming-Guide/prog-guide.sgml:1.1.1.2.4.1.2.1->1.1.1.2.4.1.2.1.2.1 
	errors/Makefile.in:1.1.1.2->1.1.1.2.26.1 
	errors/Czech/ERR_SHUTTING_DOWN:1.1.1.2->1.1.1.2.122.1 
	errors/Traditional_Chinese/ERR_ACCESS_DENIED:1.1.1.1->1.1.1.1.136.1 
	errors/Traditional_Chinese/ERR_CACHE_ACCESS_DENIED:1.1.1.1->1.1.1.1.32.1 
	errors/Traditional_Chinese/ERR_CACHE_MGR_ACCESS_DENIED:1.1.1.1->1.1.1.1.136.1 
	errors/Traditional_Chinese/ERR_CANNOT_FORWARD:1.1.1.1->1.1.1.1.136.1 
	errors/Traditional_Chinese/ERR_CONNECT_FAIL:1.1.1.1->1.1.1.1.136.1 
	errors/Traditional_Chinese/ERR_DNS_FAIL:1.1.1.1->1.1.1.1.136.1 
	errors/Traditional_Chinese/ERR_FORWARDING_DENIED:1.1.1.1->1.1.1.1.136.1 
	errors/Traditional_Chinese/ERR_FTP_DISABLED:1.1.1.1->1.1.1.1.136.1 
	errors/Traditional_Chinese/ERR_FTP_FAILURE:1.1.1.1->1.1.1.1.136.1 
	errors/Traditional_Chinese/ERR_FTP_PUT_CREATED:1.1.1.1->1.1.1.1.136.1 
	errors/Traditional_Chinese/ERR_FTP_PUT_ERROR:1.1.1.1->1.1.1.1.136.1 
	errors/Traditional_Chinese/ERR_FTP_PUT_MODIFIED:1.1.1.1->1.1.1.1.136.1 
	errors/Traditional_Chinese/ERR_INVALID_REQ:1.1.1.1->1.1.1.1.136.1 
	errors/Traditional_Chinese/ERR_INVALID_URL:1.1.1.1->1.1.1.1.136.1 
	errors/Traditional_Chinese/ERR_LIFETIME_EXP:1.1.1.1->1.1.1.1.136.1 
	errors/Traditional_Chinese/ERR_NO_RELAY:1.1.1.1->1.1.1.1.136.1 
	errors/Traditional_Chinese/ERR_ONLY_IF_CACHED_MISS:1.1.1.1->1.1.1.1.136.1 
	errors/Traditional_Chinese/ERR_READ_ERROR:1.1.1.1->1.1.1.1.136.1 
	errors/Traditional_Chinese/ERR_READ_TIMEOUT:1.1.1.1->1.1.1.1.136.1 
	errors/Traditional_Chinese/ERR_SHUTTING_DOWN:1.1.1.1->1.1.1.1.136.1 
	errors/Traditional_Chinese/ERR_SOCKET_FAILURE:1.1.1.1->1.1.1.1.136.1 
	errors/Traditional_Chinese/ERR_UNSUP_REQ:1.1.1.1->1.1.1.1.136.1 
	errors/Traditional_Chinese/ERR_URN_RESOLVE:1.1.1.1->1.1.1.1.136.1 
	errors/Traditional_Chinese/ERR_WRITE_ERROR:1.1.1.1->1.1.1.1.136.1 
	errors/Traditional_Chinese/ERR_ZERO_SIZE_OBJECT:1.1.1.1->1.1.1.1.136.1 
	errors/Traditional_Chinese/generic:1.1.1.1->1.1.1.1.136.1 
	icons/Makefile.in:1.1.1.3->1.1.1.3.26.1 
	include/Array.h:1.1.1.1.44.1->1.1.1.1.44.1.2.1 
	include/GNUregex.h:1.1.1.2.44.1->1.1.1.2.44.1.2.1 
	include/PSAPI.H:1.1.2.1->1.1.2.1.2.1 
	include/READDIR.H:1.1.2.1->1.1.2.1.2.1 
	include/Stack.h:1.1.1.1.44.1->1.1.1.1.44.1.2.1 
	include/asn1.h:1.1.1.1.44.1->1.1.1.1.44.1.2.1 
	include/autoconf.h:1.1.2.6->1.1.2.6.2.1 
	include/cache_snmp.h:1.1.1.3.30.1->1.1.1.3.30.1.2.1 
	include/config.h:1.1.2.6->1.1.2.6.2.1 
	include/config.h.in:1.1.1.3.4.1.2.5->1.1.1.3.4.1.2.5.2.1 
	include/crypt.h:1.1.2.1->1.1.2.1.2.1 
	include/getopt.h:1.1.2.1->1.1.2.1.2.1 
	include/hash.h:1.1.1.1.42.1->1.1.1.1.42.1.2.1 
	include/heap.h:1.1.1.1.2.1->1.1.1.1.2.1.2.1 
	include/md5.h:1.1.1.1.44.1->1.1.1.1.44.1.2.1 
	include/parse.h:1.1.1.1.44.1->1.1.1.1.44.1.2.1 
	include/radix.h:1.1.1.1.42.2->1.1.1.1.42.2.2.1 
	include/rfc1035.h:1.1.1.1.4.1.2.1->1.1.1.1.4.1.2.1.2.1 
	include/snmp.h:1.1.1.1.44.1->1.1.1.1.44.1.2.1 
	include/snmp_api.h:1.1.1.1.44.1->1.1.1.1.44.1.2.1 
	include/snmp_api_error.h:1.1.1.1.44.1->1.1.1.1.44.1.2.1 
	include/snmp_api_util.h:1.1.1.1.44.1->1.1.1.1.44.1.2.1 
	include/snmp_client.h:1.1.1.1.44.1->1.1.1.1.44.1.2.1 
	include/snmp_coexist.h:1.1.1.1.44.1->1.1.1.1.44.1.2.1 
	include/snmp_debug.h:1.1.1.2.44.1->1.1.1.2.44.1.2.1 
	include/snmp_error.h:1.1.1.1.44.1->1.1.1.1.44.1.2.1 
	include/snmp_impl.h:1.1.1.1.44.1->1.1.1.1.44.1.2.1 
	include/snmp_msg.h:1.1.1.1.44.1->1.1.1.1.44.1.2.1 
	include/snmp_pdu.h:1.1.1.1.44.1->1.1.1.1.44.1.2.1 
	include/snmp_session.h:1.1.1.1.44.1->1.1.1.1.44.1.2.1 
	include/snmp_util.h:1.1.1.1.44.1->1.1.1.1.44.1.2.1 
	include/snmp_vars.h:1.1.1.2.30.1->1.1.1.2.30.1.2.1 
	include/snprintf.h:1.1.1.1.44.1->1.1.1.1.44.1.2.1 
	include/splay.h:1.1.1.2.2.1->1.1.1.2.2.1.2.1 
	include/tree.h:1.1.1.1.44.1->1.1.1.1.44.1.2.1 
	include/util.h:1.1.1.3.4.1.2.3->1.1.1.3.4.1.2.3.2.1 
	include/version.h:1.1.1.3.4.4.2.4->1.1.1.3.4.4.2.4.2.1 
	lib/Array.c:1.1.1.2.4.1.2.1->1.1.1.2.4.1.2.1.2.1 
	lib/GNUregex.c:1.1.1.1.42.1->1.1.1.1.42.1.2.1 
	lib/Makefile.in:1.1.1.2.4.1.2.1->1.1.1.2.4.1.2.1.2.1 
	lib/base64.c:1.1.1.1.40.1->1.1.1.1.40.1.2.1 
	lib/dlmalloc.c:1.1.1.1.44.2->1.1.1.1.44.2.2.1 
	lib/drand48.c:1.1.1.2->1.1.1.2.122.1 
	lib/encrypt.c:1.1.2.1->1.1.2.1.2.1 
	lib/getfullhostname.c:1.1.1.1.4.1.2.1->1.1.1.1.4.1.2.1.2.1 
	lib/hash.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	lib/heap.c:1.1.1.1.4.1.2.1->1.1.1.1.4.1.2.1.2.1 
	lib/html_quote.c:1.1.30.1.2.1->1.1.30.1.2.1.2.1 
	lib/md5-test.c:1.1.1.1.44.1->1.1.1.1.44.1.2.1 
	lib/md5.c:1.1.1.2.30.1->1.1.1.2.30.1.2.1 
	lib/radix.c:1.1.1.2.4.1.2.1->1.1.1.2.4.1.2.1.2.1 
	lib/readdir.c:1.1.78.1->1.1.78.1.2.1 
	lib/rfc1035.c:1.1.1.1.4.3.2.1->1.1.1.1.4.3.2.1.2.1 
	lib/rfc1123.c:1.1.1.3.4.1.2.3->1.1.1.3.4.1.2.3.2.1 
	lib/rfc1738.c:1.1.1.2.4.1.2.2->1.1.1.2.4.1.2.2.2.1 
	lib/safe_inet_addr.c:1.1.1.3.30.1->1.1.1.3.30.1.2.1 
	lib/snprintf.c:1.1.1.3.30.1->1.1.1.3.30.1.2.1 
	lib/splay.c:1.1.1.2.2.1->1.1.1.2.2.1.2.1 
	lib/tempnam.c:1.1.1.1.44.1->1.1.1.1.44.1.2.1 
	lib/util.c:1.1.1.3.4.2.2.2->1.1.1.3.4.2.2.2.2.1 
	lib/uudecode.c:1.1.1.1.44.1->1.1.1.1.44.1.2.1 
	lib/win32lib.c:1.1.2.4->1.1.2.4.2.1 
	scripts/RunAccel.in:1.1.1.2.44.1->1.1.1.2.44.1.2.1 
	scripts/RunCache.in:1.1.1.2.44.1->1.1.1.2.44.1.2.1 
	scripts/check_cache.pl:1.1.1.1.44.1->1.1.1.1.44.1.2.1 
	scripts/fileno-to-pathname.pl:1.1.1.1.44.1->1.1.1.1.44.1.2.1 
	scripts/flag_truncs.pl:1.1.1.1.44.1->1.1.1.1.44.1.2.1 
	scripts/upgrade-1.0-store.pl:1.1.1.1.44.1->1.1.1.1.44.1.2.1 
	snmplib/asn1.c:1.1.1.1->1.1.1.1.136.1 
	snmplib/coexistance.c:1.1.1.1->1.1.1.1.76.1 
	snmplib/mib.c:1.1.1.1->1.1.1.1.76.1 
	snmplib/parse.c:1.1.1.2.70.1->1.1.1.2.70.1.2.1 
	snmplib/snmp_api.c:1.1.1.1->1.1.1.1.76.1 
	snmplib/snmp_api_error.c:1.1.1.1->1.1.1.1.76.1 
	snmplib/snmp_error.c:1.1.1.1->1.1.1.1.136.1 
	snmplib/snmp_msg.c:1.1.1.1->1.1.1.1.76.1 
	snmplib/snmp_pdu.c:1.1.1.1->1.1.1.1.76.1 
	snmplib/snmp_vars.c:1.1.1.2->1.1.1.2.122.1 
	snmplib/snmplib_debug.c:1.1.1.2->1.1.1.2.126.1 
	src/CacheDigest.c:1.1.1.2.4.1.2.1->1.1.1.2.4.1.2.1.2.1 
	src/ETag.c:1.1.1.1.4.1.2.1->1.1.1.1.4.1.2.1.2.1 
	src/HttpBody.c:1.1.1.1.4.1.2.1->1.1.1.1.4.1.2.1.2.1 
	src/HttpHdrCc.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/HttpHdrContRange.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/HttpHdrExtField.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/HttpHdrRange.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/HttpHeader.c:1.1.1.3.4.2.2.1->1.1.1.3.4.2.2.1.2.1 
	src/HttpHeaderTools.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/HttpMsg.c:1.1.1.1.4.1.2.1->1.1.1.1.4.1.2.1.2.1 
	src/HttpReply.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/HttpRequest.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/HttpStatusLine.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/Makefile.in:1.1.1.3.14.2->1.1.1.3.14.2.2.1 
	src/MemBuf.c:1.1.1.2.4.1.2.1->1.1.1.2.4.1.2.1.2.1 
	src/MemPool.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/Packer.c:1.1.1.2.4.1.2.1->1.1.1.2.4.1.2.1.2.1 
	src/StatHist.c:1.1.1.2.4.1.2.1->1.1.1.2.4.1.2.1.2.1 
	src/String.c:1.1.1.1.4.1.2.1->1.1.1.1.4.1.2.1.2.1 
	src/access_log.c:1.1.1.3.4.1.2.3->1.1.1.3.4.1.2.3.2.1 
	src/acl.c:1.1.1.3.4.3.2.3->1.1.1.3.4.3.2.3.2.1 
	src/aiops.c:1.1.1.3.4.2.2.1->1.1.1.3.4.2.2.1.2.1 
	src/asn.c:1.1.1.3.4.2.2.3->1.1.1.3.4.2.2.3.2.1 
	src/async_io.c:1.1.1.3.4.2.2.1->1.1.1.3.4.2.2.1.2.1 
	src/authenticate.c:1.1.1.3.4.1.2.3->1.1.1.3.4.1.2.3.2.1 
	src/cache_cf.c:1.1.1.3.4.4.2.3->1.1.1.3.4.4.2.3.2.1 
	src/cache_diff.c:1.1.1.1.4.1.2.2->1.1.1.1.4.1.2.2.2.1 
	src/cache_manager.c:1.1.1.2.4.1.2.1->1.1.1.2.4.1.2.1.2.1 
	src/cachemgr.c:1.1.1.3.4.1.2.3->1.1.1.3.4.1.2.3.2.1 
	src/carp.c:1.1.1.1.4.4.2.2->1.1.1.1.4.4.2.2.2.1 
	src/cbdata.c:1.1.1.2.4.1.2.1->1.1.1.2.4.1.2.1.2.1 
	src/cf.data.pre:1.1.1.3.4.3.2.2->1.1.1.3.4.3.2.2.2.1 
	src/cf_gen.c:1.1.1.3.4.1.2.2->1.1.1.3.4.1.2.2.2.1 
	src/client.c:1.1.1.3.4.1.2.2->1.1.1.3.4.1.2.2.2.1 
	src/client_db.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/client_side.c:1.1.1.3.4.6.2.4->1.1.1.3.4.6.2.4.2.1 
	src/comm.c:1.1.1.3.4.1.2.5->1.1.1.3.4.1.2.5.2.1 
	src/comm_select.c:1.1.1.3.4.2.2.3->1.1.1.3.4.2.2.3.2.1 
	src/debug.c:1.1.1.3.4.1.2.3->1.1.1.3.4.1.2.3.2.1 
	src/defines.h:1.1.1.3.4.2.2.2->1.1.1.3.4.2.2.2.2.1 
	src/delay_pools.c:1.1.1.3.4.2.2.1->1.1.1.3.4.2.2.1.2.1 
	src/disk.c:1.1.1.3.4.1.2.6->1.1.1.3.4.1.2.6.2.1 
	src/dns.c:1.1.1.3.4.1.2.2->1.1.1.3.4.1.2.2.2.1 
	src/dns_internal.c:1.1.1.1.4.6.2.3->1.1.1.1.4.6.2.3.2.1 
	src/dnsserver.c:1.1.1.3.4.1.2.3->1.1.1.3.4.1.2.3.2.1 
	src/enums.h:1.1.1.3.4.2.2.1->1.1.1.3.4.2.2.1.2.1 
	src/errorpage.c:1.1.1.3.4.3.2.2->1.1.1.3.4.3.2.2.2.1 
	src/event.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/fd.c:1.1.1.3.4.1.2.2->1.1.1.3.4.1.2.2.2.1 
	src/filemap.c:1.1.1.2.4.1.2.1->1.1.1.2.4.1.2.1.2.1 
	src/forward.c:1.1.1.3.4.1.2.2->1.1.1.3.4.1.2.2.2.1 
	src/fqdncache.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/ftp.c:1.1.1.3.4.3.2.1->1.1.1.3.4.3.2.1.2.1 
	src/globals.h:1.1.1.3.4.2.2.4->1.1.1.3.4.2.2.4.2.1 
	src/gopher.c:1.1.1.3.4.2.2.1->1.1.1.3.4.2.2.1.2.1 
	src/helper.c:1.1.1.3.24.1->1.1.1.3.24.1.2.1 
	src/htcp.c:1.1.1.2.4.1.2.2->1.1.1.2.4.1.2.2.2.1 
	src/http.c:1.1.1.3.4.3.2.2->1.1.1.3.4.3.2.2.2.1 
	src/icmp.c:1.1.1.2.4.2.2.1->1.1.1.2.4.2.2.1.2.1 
	src/icp_v2.c:1.1.1.3.4.1.2.2->1.1.1.3.4.1.2.2.2.1 
	src/icp_v3.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/ident.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/internal.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/ipc.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/ipcache.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/leakfinder.c:1.1.1.1.4.1.2.2->1.1.1.1.4.1.2.2.2.1 
	src/main.c:1.1.1.3.4.2.2.9->1.1.1.3.4.2.2.9.2.1 
	src/mem.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/mib.txt:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/mime.c:1.1.1.3.4.1.2.2->1.1.1.3.4.1.2.2.2.1 
	src/mk-string-arrays.pl:1.1.1.1.44.1->1.1.1.1.44.1.2.1 
	src/multicast.c:1.1.1.1.4.1.2.1->1.1.1.1.4.1.2.1.2.1 
	src/neighbors.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/net_db.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/pconn.c:1.1.1.2.4.1.2.1->1.1.1.2.4.1.2.1.2.1 
	src/peer_digest.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/peer_select.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/pinger.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/protos.h:1.1.1.3.4.1.2.6->1.1.1.3.4.1.2.6.2.1 
	src/pump.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/recv-announce.c:1.1.1.1.4.1.2.1->1.1.1.1.4.1.2.1.2.1 
	src/redirect.c:1.1.1.3.4.2.2.1->1.1.1.3.4.2.2.1.2.1 
	src/refresh.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/send-announce.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/snmp_agent.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/snmp_core.c:1.1.1.3.4.1.2.3->1.1.1.3.4.1.2.3.2.1 
	src/squid.h:1.1.1.3.4.1.2.3->1.1.1.3.4.1.2.3.2.1 
	src/ssl.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/stat.c:1.1.1.3.4.1.2.5->1.1.1.3.4.1.2.5.2.1 
	src/stmem.c:1.1.1.2.4.1.2.1->1.1.1.2.4.1.2.1.2.1 
	src/store.c:1.1.1.3.4.5.2.4->1.1.1.3.4.5.2.4.2.1 
	src/store_client.c:1.1.1.3.4.2.2.1->1.1.1.3.4.2.2.1.2.1 
	src/store_digest.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/store_dir.c:1.1.1.3.4.2.2.7->1.1.1.3.4.2.2.7.2.1 
	src/store_dir_ufs.c:1.1.1.1.4.1.2.8->1.1.1.1.4.1.2.8.2.1 
	src/store_heap_replacement.c:1.1.1.1.4.1.2.1->1.1.1.1.4.1.2.1.2.1 
	src/store_io.c:1.1.1.1.20.1->1.1.1.1.20.1.2.1 
	src/store_io_asyncufs.c:1.1.1.1.4.3->1.1.1.1.4.3.6.1 
	src/store_io_ufs.c:1.1.1.1.4.1.2.1->1.1.1.1.4.1.2.1.2.1 
	src/store_key_md5.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/store_log.c:1.1.1.2.4.1.2.1->1.1.1.2.4.1.2.1.2.1 
	src/store_rebuild.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/store_swapin.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/store_swapmeta.c:1.1.1.2.4.2.2.1->1.1.1.2.4.2.2.1.2.1 
	src/store_swapout.c:1.1.1.3.4.2.2.1->1.1.1.3.4.2.2.1.2.1 
	src/structs.h:1.1.1.3.4.2.2.3->1.1.1.3.4.2.2.3.2.1 
	src/test-ellipses.pl:1.1.1.1.44.1->1.1.1.1.44.1.2.1 
	src/test_cache_digest.c:1.1.1.1.4.1.2.1->1.1.1.1.4.1.2.1.2.1 
	src/tools.c:1.1.1.3.4.1.2.6->1.1.1.3.4.1.2.6.2.1 
	src/typedefs.h:1.1.1.3.4.1.2.3->1.1.1.3.4.1.2.3.2.1 
	src/unlinkd.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/url.c:1.1.1.3.4.4.2.3->1.1.1.3.4.4.2.3.2.1 
	src/urn.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.1.2.1 
	src/useragent.c:1.1.1.3.4.1.2.10->1.1.1.3.4.1.2.10.2.1 
	src/wais.c:1.1.1.2.4.1.2.1->1.1.1.2.4.1.2.1.2.1 
	src/wccp.c:1.1.1.1.4.2.2.1->1.1.1.1.4.2.2.1.2.1 
	src/whois.c:1.1.1.2.4.2.2.1->1.1.1.2.4.2.2.1.2.1 
	src/win32.c:1.1.2.3->1.1.2.3.2.1 
	test-suite/hash.c:1.1.1.1.44.1->1.1.1.1.44.1.2.1 
	test-suite/hash.h:1.1.1.1->1.1.1.1.76.1 
	test-suite/membanger.c:1.1.1.1->1.1.1.1.76.1 
	test-suite/pconn-banger.c:1.1.1.1->1.1.1.1.76.1 
	test-suite/tcp-banger2.c:1.1.1.3.30.1->1.1.1.3.30.1.2.1 
	test-suite/tcp-banger3.c:1.1.1.2->1.1.1.2.76.1 
	test-suite/waiter.c:1.1.1.1->1.1.1.1.76.1 
	win/cf.data.mak:1.1.2.1->1.1.2.1.2.1 
	win/resource.h:1.1.2.1->1.1.2.1.2.1 
	win/squid.rc:1.1.2.1->1.1.2.1.2.1 
	win/update.bat:1.1.2.1->1.1.2.1.2.1 
	win/win.dsw:1.1.2.4->1.1.2.4.2.1 
	win/cachemgr/cachemgr.dsp:1.1.2.3->1.1.2.3.2.1 
	win/cachemgr/cachemgr.mak:1.1.2.3->1.1.2.3.2.1 
	win/cachemgr/cachemgr.rc:1.1.2.1->1.1.2.1.2.1 
	win/cf_gen/cf_gen.dsp:1.1.2.2->1.1.2.2.2.1 
	win/cf_gen/cf_gen.mak:1.1.2.2->1.1.2.2.2.1 
	win/dnsserver/dnsserver.dsp:1.1.2.3->1.1.2.3.2.1 
	win/dnsserver/dnsserver.mak:1.1.2.3->1.1.2.3.2.1 
	win/libsnmp/libsnmp.dsp:1.1.2.1->1.1.2.1.2.1 
	win/libsnmp/libsnmp.mak:1.1.2.1->1.1.2.1.2.1 
	win/miscutil/miscutil.dsp:1.1.2.3->1.1.2.3.2.1 
	win/miscutil/miscutil.mak:1.1.2.3->1.1.2.3.2.1 
	win/squidnt/squidnt.dsp:1.1.2.5->1.1.2.5.2.1 
	win/squidnt/squidnt.mak:1.1.2.5->1.1.2.5.2.1 

Index: squid/CONTRIBUTORS
===================================================================
RCS file: /cvsroot/squid-sf//squid/CONTRIBUTORS,v
retrieving revision 1.1.1.3.22.1
retrieving revision 1.1.1.3.22.1.2.1
diff -u -r1.1.1.3.22.1 -r1.1.1.3.22.1.2.1
--- squid/CONTRIBUTORS	28 Jul 2001 10:18:13 -0000	1.1.1.3.22.1
+++ squid/CONTRIBUTORS	27 Aug 2001 21:48:15 -0000	1.1.1.3.22.1.2.1
@@ -70,9 +70,6 @@
 	Niall Doherty <ndoherty@eei.ericsson.se>
 	Pedro Ribeiro <pribeiro@isel.pt>
 	John Dilley <jad@hpl.hp.com>
-	Romeo Anghelache <romeo@andrew.cmu.edu>
-	Guido Serassio <serassio@libero.it>
-	Andrey Shorin <a_shorin@mail.ru>
 
 Development of this caching software is funded by the National Science
 Foundation (grants NCR-9616602 and NCR-9521745).  Paid staff members on
Index: squid/ChangeLog
===================================================================
RCS file: /cvsroot/squid-sf//squid/ChangeLog,v
retrieving revision 1.1.1.3.4.4.2.1
retrieving revision 1.1.1.3.4.4.2.1.2.1
diff -u -r1.1.1.3.4.4.2.1 -r1.1.1.3.4.4.2.1.2.1
--- squid/ChangeLog	15 Jul 2001 08:49:37 -0000	1.1.1.3.4.4.2.1
+++ squid/ChangeLog	27 Aug 2001 21:48:15 -0000	1.1.1.3.4.4.2.1.2.1
@@ -1,4 +1,4 @@
-Changes to Squid-2.3.STABLE5 (Jul 13, 2001):
+Changes to Squid-2.3:
 
 	- Fixed more domain-matching bugs, this time relating
 	  to the '-' character.  Copied the improved aclDomainCompare
@@ -18,8 +18,6 @@
 	  (www....squid-cache....org), which can fool some access
 	  controls.  Changed URL parsing in url.c to collapse these
 	  multiple dots.
-	- clientAccessCheck() was incorrectly allowing all proxy
-	  requests in accel_only mode.
 
 Changes to Squid-2.3.STABLE4 (July 18, 2000):
 
Index: squid/acconfig.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/Attic/acconfig.h,v
retrieving revision 1.1.1.3.12.1
retrieving revision 1.1.1.3.12.1.2.1
diff -u -r1.1.1.3.12.1 -r1.1.1.3.12.1.2.1
--- squid/acconfig.h	16 Jun 2001 21:00:11 -0000	1.1.1.3.12.1
+++ squid/acconfig.h	27 Aug 2001 21:48:15 -0000	1.1.1.3.12.1.2.1
@@ -20,8 +20,7 @@
  *
  */
 @ TOP @
-/* $Id: acconfig.h,v 1.1.1.3.12.1 2001/06/16 21:00:11 serassio Exp $ */
-
+/* $Id: acconfig.h,v 1.1.1.3.12.1.2.1 2001/08/27 21:48:15 tolsty Exp $ */
 /*********************************
  * START OF CONFIGURABLE OPTIONS *
  *********************************/
@@ -30,27 +29,19 @@
  * field blank, then define this to getfullhostname()
  */
 #undef CACHEMGR_HOSTNAME
-
 /* Define to do simple malloc debugging */
 #undef XMALLOC_DEBUG
-
 /* Define for log file trace of mem alloc/free */
 #undef MEM_GEN_TRACE
-
 /* Define to have malloc statistics */
 #undef XMALLOC_STATISTICS
-
 /* Define to have a detailed trace of memory allocations */
 #undef XMALLOC_TRACE
-
 #undef FORW_VIA_DB
-
 /* Define to use async disk I/O operations */
 #undef USE_ASYNC_IO
-
 /* Defines how many threads to use for async I/O */
 #undef NUMTHREADS
-
 /*
  * If you want to use Squid's ICMP features (highly recommended!) then
  * define this.  When USE_ICMP is defined, Squid will send ICMP pings
@@ -62,34 +53,28 @@
  *           ICP_OP_MISS_NOFETCH for sites which it cannot ping.
  */
 #undef USE_ICMP
-
 /*
  * Traffic management via "delay pools".
  */
 #undef DELAY_POOLS
-
 /*
  * If you want to log User-Agent request header values, define this.
  * By default, they are written to useragent.log in the Squid log
  * directory.
  */
 #undef USE_USERAGENT_LOG
-
 /*
  * A dangerous feature which causes Squid to kill its parent process
  * (presumably the RunCache script) upon receipt of SIGTERM or SIGINT.
  * Use with caution.
  */
 #undef KILL_PARENT_OPT
-
 /* Define to enable SNMP monitoring of Squid */
 #undef SQUID_SNMP
-
 /*
  * Define to enable WCCP
  */
 #define USE_WCCP 1
-
 /*
  * Squid frequently calls gettimeofday() for accurate timestamping.
  * If you are concerned that gettimeofday() is called too often, and
@@ -98,107 +83,80 @@
  * intervals (one second) with ALARM signals.
  */
 #undef ALARM_UPDATES_TIME
-
 /*
  * Define this to include code which lets you specify access control
  * elements based on ethernet hardware addresses.  This code uses
  * functions found in 4.4 BSD derviations (e.g. FreeBSD, ?).
  */
 #undef USE_ARP_ACL
-
 /*
  * Define this to include code for the Hypertext Cache Protocol (HTCP)
  */
 #undef USE_HTCP
-
 /*
  * Use Cache Digests for locating objects in neighbor caches.  This
  * code is still semi-experimental. 
  */
 #undef USE_CACHE_DIGESTS
-
 /*
  * Cache Array Routing Protocol
  */
 #undef USE_CARP
-
 /*
  * Define Windows NT & Windows 2000 run service mode
  */
 #undef USE_WIN32_SERVICE
-
 /********************************
  *  END OF CONFIGURABLE OPTIONS *
  ********************************/
-
 /* Define if struct tm has tm_gmtoff member */
 #undef HAVE_TM_GMTOFF
-
 /* Define if struct mallinfo has mxfast member */
 #undef HAVE_EXT_MALLINFO
-
 /* Default FD_SETSIZE value */
 #undef DEFAULT_FD_SETSIZE
-
 /* Maximum number of open filedescriptors */
 #undef SQUID_MAXFD
-
 /* UDP send buffer size */
 #undef SQUID_UDP_SO_SNDBUF
-
 /* UDP receive buffer size */
 #undef SQUID_UDP_SO_RCVBUF
-
 /* TCP send buffer size */
 #undef SQUID_TCP_SO_SNDBUF
-
 /* TCP receive buffer size */
 #undef SQUID_TCP_SO_RCVBUF
-
 /* Host type from configure */
 #undef CONFIG_HOST_TYPE
-
 /* If we need to declare sys_errlist[] as external */
 #undef NEED_SYS_ERRLIST
-
 /* If gettimeofday is known to take only one argument */
 #undef GETTIMEOFDAY_NO_TZP
-
 /* If libresolv.a has been hacked to export _dns_ttl_ */
 #undef LIBRESOLV_DNS_TTL_HACK
-
 /* Define if struct ip has ip_hl member */
 #undef HAVE_IP_HL
-
 /* Define if your compiler supports prototyping */
 #undef HAVE_ANSI_PROTOTYPES
-
 /* Define if we should use GNU regex */
 #undef USE_GNUREGEX
-
 /* signed size_t, grr */
 #undef ssize_t
-
 /*
  * Yay! Another Linux brokenness.  Its not good enough to know that
  * setresuid() exists, because RedHat 5.0 declare setresuid() but
  * doesn't implement it.
  */
 #undef HAVE_SETRESUID
-
 /* Define if you have struct rusage */
 #undef HAVE_STRUCT_RUSAGE
-
 /* Define if you have PSAPI.DLL on Windows systems */
 #undef HAVE_WIN32_PSAPI
-
 /*
  * This makes warnings go away.  If you have socklen_t defined in your
  * /usr/include files, then this should remain undef'd.  Otherwise it
  * should be defined to int.
  */
 #undef socklen_t
-
 /*
  * By default (for now anyway) Squid includes options which allows
  * the cache administrator to violate the HTTP protocol specification
@@ -206,65 +164,53 @@
  * such code.
  */
 #define HTTP_VIOLATIONS 1
-
 /*
  * Enable support for Transparent Proxy on systems using IP-Filter
  * address redirection. This provides "masquerading" support for non
  *  Linux system.
  */
 #undef IPF_TRANSPARENT
-
 /*
  * Enable code for assiting in finding memory leaks.  Hacker stuff only.
  */
 #undef USE_LEAKFINDER
-
 /*
  * type of fd_set array
  */
 #undef fd_mask
-
 /*
  * If _res structure has nsaddr_list member
  */
 #undef HAVE_RES_NSADDR_LIST
-
 /*
  * If _res structure has ns_list member
  */
 #undef HAVE_RES_NS_LIST
-
 /*
  * Compile in support for Ident (RFC 931) lookups?  Enabled by default.
  */
 #define USE_IDENT 1
-
 /*
  * If your system has statvfs(), and if it actually works!
  */
 #undef HAVE_STATVFS
-
 /*
  * If --disable-internal-dns was given to configure, then we'll use
  * the dnsserver processes instead.
  */
 #undef USE_DNSSERVERS
-
 /*
  * we check for the existance of struct mallinfo
  */
 #undef HAVE_STRUCT_MALLINFO
-
 /*
  * Do we want to use truncate(2) or unlink(2)?
  */
 #undef USE_TRUNCATE
-
 /*
  * Allow underscores in host names
  */
 #undef ALLOW_HOSTNAME_UNDERSCORES
-
 /*
  * Use the heap-based replacement techniques
  */
Index: squid/configure.in
===================================================================
RCS file: /cvsroot/squid-sf//squid/configure.in,v
retrieving revision 1.1.1.3.4.5.2.2
retrieving revision 1.1.1.3.4.5.2.2.2.1
diff -u -r1.1.1.3.4.5.2.2 -r1.1.1.3.4.5.2.2.2.1
--- squid/configure.in	16 Jun 2001 20:58:29 -0000	1.1.1.3.4.5.2.2
+++ squid/configure.in	27 Aug 2001 21:48:15 -0000	1.1.1.3.4.5.2.2.2.1
@@ -3,13 +3,13 @@
 dnl
 dnl  Duane Wessels, wessels@nlanr.net, February 1996 (autoconf v2.9)
 dnl
-dnl  $Id: configure.in,v 1.1.1.3.4.5.2.2 2001/06/16 20:58:29 serassio Exp $
+dnl  $Id: configure.in,v 1.1.1.3.4.5.2.2.2.1 2001/08/27 21:48:15 tolsty Exp $
 dnl
 dnl
 dnl
 AC_INIT(src/main.c)
 AC_CONFIG_HEADER(include/autoconf.h)
-AC_REVISION($Revision: 1.1.1.3.4.5.2.2 $)dnl
+AC_REVISION($Revision: 1.1.1.3.4.5.2.2.2.1 $)dnl
 AC_PREFIX_DEFAULT(/usr/local/squid)
 AC_CONFIG_AUX_DIR(cfgaux)
 
Index: squid/auth_modules/LDAP/LDAP_auth.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/LDAP/Attic/LDAP_auth.dsp,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.2.2.1
diff -u -r1.1.2.2 -r1.1.2.2.2.1
--- squid/auth_modules/LDAP/LDAP_auth.dsp	30 Jun 2001 18:49:42 -0000	1.1.2.2
+++ squid/auth_modules/LDAP/LDAP_auth.dsp	27 Aug 2001 21:48:15 -0000	1.1.2.2.2.1
@@ -40,20 +40,18 @@
 # PROP Use_Debug_Libraries 0
 # PROP Output_Dir "Release"
 # PROP Intermediate_Dir "Release"
-# PROP Ignore_Export_Lib 1
+# PROP Ignore_Export_Lib 0
 # PROP Target_Dir ""
-# ADD BASE CPP /nologo /MT /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "LDAP_AUTH_EXPORTS" /YX /FD /c
-# ADD CPP /nologo /MT /W3 /GX /O2 /I "..\..\include" /I "..\..\src" /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "LDAP_AUTH_EXPORTS" /YX /FD /c
-# ADD BASE MTL /nologo /D "NDEBUG" /mktyplib203 /win32
-# ADD MTL /nologo /D "NDEBUG" /mktyplib203 /win32
-# ADD BASE RSC /l 0x410 /d "NDEBUG"
-# ADD RSC /l 0x410 /d "NDEBUG"
+# ADD BASE CPP /nologo /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
+# ADD CPP /nologo /MT /W3 /GX /O2 /I "../../include" /I "../" /I "../../src" /D "NDEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D "UNLINK_DAEMON" /D DEFAULT_CONFIG_FILE=\"squid.conf\" /YX /FD /c
+# ADD BASE RSC /l 0x419 /d "NDEBUG"
+# ADD RSC /l 0x419 /d "NDEBUG"
 BSC32=bscmake.exe
 # ADD BASE BSC32 /nologo
 # ADD BSC32 /nologo
 LINK32=link.exe
-# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /dll /machine:I386
-# ADD LINK32 kernel32.lib user32.lib gdi32.lib advapi32.lib wldap32.lib /nologo /dll /machine:I386
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /machine:I386
+# ADD LINK32 kernel32.lib wldap32.lib /nologo /subsystem:console /machine:I386
 
 !ELSEIF  "$(CFG)" == "LDAP_auth - Win32 Debug"
 
@@ -66,20 +64,18 @@
 # PROP Use_Debug_Libraries 1
 # PROP Output_Dir "Debug"
 # PROP Intermediate_Dir "Debug"
-# PROP Ignore_Export_Lib 1
+# PROP Ignore_Export_Lib 0
 # PROP Target_Dir ""
-# ADD BASE CPP /nologo /MTd /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "LDAP_AUTH_EXPORTS" /YX /FD /GZ /c
-# ADD CPP /nologo /MTd /W3 /Gm /GX /ZI /Od /I "..\..\include" /I "..\..\src" /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "LDAP_AUTH_EXPORTS" /YX /FD /GZ /c
-# ADD BASE MTL /nologo /D "_DEBUG" /mktyplib203 /win32
-# ADD MTL /nologo /D "_DEBUG" /mktyplib203 /win32
-# ADD BASE RSC /l 0x410 /d "_DEBUG"
-# ADD RSC /l 0x410 /d "_DEBUG"
+# ADD BASE CPP /nologo /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /GZ /c
+# ADD CPP /nologo /MTd /W3 /Gm /GX /ZI /Od /I "../../include" /I "../" /I "../../src" /D "_DEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D "UNLINK_DAEMON" /D DEFAULT_CONFIG_FILE=\"squid.conf\" /FR /YX /FD /GZ /c
+# ADD BASE RSC /l 0x419 /d "_DEBUG"
+# ADD RSC /l 0x419 /d "_DEBUG"
 BSC32=bscmake.exe
 # ADD BASE BSC32 /nologo
 # ADD BSC32 /nologo
 LINK32=link.exe
-# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /dll /debug /machine:I386 /pdbtype:sept
-# ADD LINK32 kernel32.lib user32.lib gdi32.lib advapi32.lib wldap32.lib /nologo /dll /debug /machine:I386 /pdbtype:sept
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
+# ADD LINK32 kernel32.lib wldap32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
 
 !ENDIF 
 
